v1
Send A2Ui Action
Send an A2UI user action to a running task workflow.
POST
/
v1
/
agents
/
{agent_id}
/
tasks
/
{task_id}
/
a2ui
/
action
Send A2Ui Action
curl --request POST \
--url https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/a2ui/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"surface_id": "<string>",
"context": {},
"source_component_id": ""
}
'import requests
url = "https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/a2ui/action"
payload = {
"name": "<string>",
"surface_id": "<string>",
"context": {},
"source_component_id": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', surface_id: '<string>', context: {}, source_component_id: ''})
};
fetch('https://api.example.com/v1/agents/{agent_id}/tasks/{task_id}/a2ui/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
Send A2Ui Action
